API Reference
Public · Catalog
Partner read access to items, modifiers and categories.
3 endpoints· Auth: API Key
get
/api/v1/public/categories API KeyGet categories
Query parameters
| Limit integer (int32) | — |
| Offset integer (int32) | — |
| Search string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/public/categories" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
get
/api/v1/public/items API KeyGet items
Query parameters
| Active boolean | — |
| Is86 boolean | — |
| ExternalId string | — |
| Category string | — |
| Limit integer (int32) | — |
| Offset integer (int32) | — |
| Search string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/public/items" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
get
/api/v1/public/modifiers API KeyGet modifiers
Query parameters
| ProductId string (uuid) | — |
| Limit integer (int32) | — |
| Offset integer (int32) | — |
| Search string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/public/modifiers" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu